Package org.apache.tools.ant

# Class DefaultDefinitions

java.lang.Object
org.apache.tools.ant.DefaultDefinitions

public final class DefaultDefinitions extends Object
Default definitions.

Since:
  Ant 1.9.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDefinitions(ComponentHelper componentHelper)`
  Create a default definitions object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Register the definitions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultDefinitions

    public DefaultDefinitions(ComponentHelper componentHelper)
    Create a default definitions object.
    Parameters:
      `componentHelper` - the componenthelper to initialize.

- ## Method Details

  - ### execute

    public void execute()
    Register the definitions.